Subject: bug#74999: [PATCH v3] Recommend `keymap-set' instead of `define-key' in emacs lisp intro

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Dec 2024 09:37:28 +0200

> From: Hong Xu <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 26 Dec 2024 13:58:33 -0800
> 
> > Thanks.  I tried to install this, but the git-commit hook rejected the
> > commit because Subject line is too long:
> >
> >   Line longer than 78 characters in commit message
> >   Commit aborted; please see the file CONTRIBUTE
> >
> > Please format the patch using "git format-patch", and please commit
> > the patch locally before you do so (assuming you have the hooks in
> > your local clone), to make sure these problems are corrected before
> > you send the patch here.
> 
> I could apply these patches without line length complaints, and the
> hooks were in effect. An inspection into the patch file also shows no
> line is longer than 78 characters. Git is supposed to abandon the
> "[Patch vN]" prefix when applying the patch.

I'm guessing the problem on my side is because you sent the patch as a
complete email message, where the heading line is presumed to be taken
from Subject.  To avoid these problems, please in the future send the
patches as attachments, to allow me to pass to "git am" only the
actual patch, not any of the other email headers.